<%@ Import Namespace="DNNMasters.UMS.UI.UserControls"%>
<%@ Import Namespace="DotNetNuke.Services.Localization" %>
<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="UMS_Actions.ascx.cs"
    Inherits="DNNMasters.UMS.UI.UserControls.UMS_Actions" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.UMS.ComponentArt.Web.UI.N2"
    Assembly="DNNMasters.UMS.ComponentArt.Web.UI.N2" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<link href="<%= ModulePath.Replace("UI/UserControls/", "") %>/module.css" type="text/css"
    rel="stylesheet" />

<script type="text/javascript">
    //<![CDATA[
    
    function ExecuteAction()
	{
        var selectedNode = _treActionRoles.get_selectedNode();
        if(selectedNode == null)
        {
            alert('You must select node from tree!');
            return;
        }
        
        var nodeID = selectedNode.get_id();
        var date1 = '';
        var date2 = '';
        var actionID = "0";
        var rbt1 = document.getElementById('<%= _rbtAction1.ClientID %>');
        var rbt2 = document.getElementById('<%= _rbtAction2.ClientID %>');
        var rbt3 = document.getElementById('<%= _rbtAction3.ClientID %>');
        var rbt4 = document.getElementById('<%= _rbtAction4.ClientID %>');
        var rbt5 = document.getElementById('<%= _rbtAction5.ClientID %>');
        var dateBox = document.getElementById('<%= _txbDate.ClientID %>');
        var effDateBox = document.getElementById('<%= _txbEffectiveDate.ClientID %>');
        var expDateBox = document.getElementById('<%= _txbExpireDate.ClientID %>');
        
        

        if(rbt1 != null && rbt1.checked)
            actionID = "1";
            
        if (rbt2 != null && rbt2.checked) {
            actionID = "2";
            if (effDateBox != null)
                date1 = effDateBox.value;
            if (expDateBox != null)
                date2 = expDateBox.value;
        }

        if(rbt3 != null && rbt3.checked)
            actionID = "3";
            
        if(rbt4 != null && rbt4.checked)
            actionID = "4";

        if (rbt5 != null && rbt5.checked) {
            if (dateBox != null)
                date1 = dateBox.value;
            actionID = "5";
            
        }
        
        if(actionID == "0")
        {
            alert('Please select action');
            return;
        }
            
        if((actionID == "1" || actionID == "5") && nodeID.indexOf('role_') == -1)
        {
            alert('Please select Role from Tree');
            return;
        }

        if (actionID == "5" && date1 == "")
        {
            alert('Please enter new date');
            return;
        }
        
        if(actionID == "3" && nodeID.indexOf('group_') == -1)
        {
            alert('Please select Role Group from Tree');
            return;
        }
        document.getElementById('<%=imgLoader.ClientID%>').style.display = 'inline';
        DNNMasters.UMS.UI.UserControls.UMS_RolesService.ExecuteAction(actionID, nodeID, date1, date2, ActionResult);
	}
	
	function ActionResult(result, eventArgs)
    {
        document.getElementById('<%=imgLoader.ClientID%>').style.display = 'none';
        if(result != null)
        {
            alert(result);
        }
    }
    
    //]]>
</script>

<table id="_tblTrial" runat="server" width="100%" visible="false" align="center">
    <tr>
        <td align="center">
            <asp:Label ID="_lblTrialAlert" resourcekey="_lblTrialAlert" runat="server" ForeColor="Red" CssClass="NormalBold" />
        </td>
    </tr>
</table>

<table>
    <tr>
        <td>
            <componentart:TreeView id="_treActionRoles" Height="340" Width="300" KeyboardEnabled="false"
                CssClass="TreeView" NodeCssClass="TreeNode" SelectedNodeCssClass="SelectedTreeNode"
                HoverNodeCssClass="HoverTreeNode" LineImageWidth="19" LineImageHeight="20" DefaultImageWidth="16"
                DefaultImageHeight="16" NodeLabelPadding="3" ImagesBaseUrl="~/DesktopModules/DNNMasters.UMS/images/treeview_images/"
                ShowLines="true" LineImagesFolderUrl="~/DesktopModules/DNNMasters.UMS/images/treeview_images/lines"
                EnableViewState="true" runat="server" MultipleSelectEnabled="true" MultipleSelectedNodeCssClass="SelectedTreeNode"
                DragAndDropEnabled="false" NodeEditingEnabled="true"
                WebService="DNNMasters.UMS.UI.UserControls.UMS_RolesService" WebServiceMethod="buildRolesTree" WebServiceCustomParameter="noedit" >
            </componentart:TreeView>
        </td>
        <td align="left">
            <table align="left" cellpadding="5">
                <tr runat="server" id="_trAction1">
                    <td colspan="2">
                        <asp:RadioButton ID="_rbtAction1" resourcekey="_rbtAction1" CssClass="Normal" runat="server"
                            GroupName="grpActions" />
                    </td>
                </tr>
                <tr runat="server" id="_trAction2">
                    <td colspan="2">
                        <asp:RadioButton ID="_rbtAction2" resourcekey="_rbtAction2" CssClass="Normal" runat="server"
                            GroupName="grpActions" /><br />
                        <table>
                            <tr>
                                <td width="110" valign="top">
                                    <dnn:label id="lblEffectiveDate" runat="server" resourcekey="lblEffectiveDate" Suffix=":" cssclass="Normal" />
                                    <asp:TextBox ID="_txbEffectiveDate" runat="server" CssClass="Normal" Width="80" />
                                    <asp:HyperLink ID="_hypEffectiveDateCal" runat="server" />
                                </td>
                                <td width="110" valign="top">
                                    <dnn:label id="lblExpireDate" runat="server" resourcekey="lblExpireDate" Suffix=":" cssclass="Normal" />
                                    <asp:TextBox ID="_txbExpireDate" runat="server" CssClass="Normal" Width="80" />
                                    <asp:HyperLink ID="_hypExpireDateCal" runat="server" />
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr runat="server" id="_trAction3">
                    <td colspan="2">
                        <asp:RadioButton ID="_rbtAction3" resourcekey="_rbtAction3" CssClass="Normal" runat="server"
                            GroupName="grpActions" />
                    </td>
                </tr>
                <tr runat="server" id="_trAction4">
                    <td colspan="2">
                        <asp:RadioButton ID="_rbtAction4" resourcekey="_rbtAction4" CssClass="Normal" runat="server" 
                            GroupName="grpActions" />
                    </td>
                </tr>
                <tr runat="server" id="_trAction5">
                    <td>
                        <asp:RadioButton ID="_rbtAction5" resourcekey="_rbtAction5" CssClass="Normal" runat="server"
                            GroupName="grpActions" />
                    </td>
                    <td nowrap>
                        <asp:TextBox ID="_txbDate" runat="server" CssClass="Normal" Width="80" />
                        <asp:HyperLink ID="_hypCalendar1" runat="server" />
                    </td>
                </tr>
                <tr runat="server" id="_trExecute">
                    <td colspan="2" align="center">
                        <br />
                        <input type="button" id="_btnExecute" value="Execute Action" class="Normal" onclick="ExecuteAction();" /><br />
                        <asp:Image ID="imgLoader" ImageUrl="~/DesktopModules/DNNMasters.UMS/images/ajax-loader.gif" runat="server" ImageAlign="Middle" style="display:none;" /><br />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:UpdatePanel ID="_upActions" runat="server" ChildrenAsTriggers="False" UpdateMode="Conditional">
            <contenttemplate>
            <table cellpadding="5">
                <tr id="_trActionDelete" runat="server">
                    <td width="220">
                        <asp:RadioButton ID="_rbActionDelete" resourcekey="_rbActionDelete" runat="server" CssClass="Normal" GroupName="grpActions" />
                    </td>
                    <td>
                        
                    </td>
                </tr>
                <tr id="_trActionDeleteHard" runat="server">
                    <td width="220">
                        <asp:RadioButton ID="_rbActionDeleteHard" resourcekey="_rbActionDeleteHard" runat="server" CssClass="Normal" GroupName="grpActions" />
                    </td>
                    <td>
                        <asp:Label ID="_lblHardDelete" resourcekey="_lblHardDelete" runat="server" CssClass="NormalRed" />
                    </td>
                </tr>
                <tr id="_trActionRestore" runat="server">
                    <td width="220">
                        <asp:RadioButton ID="_rbActionRestore" resourcekey="_rbActionRestore" runat="server" CssClass="Normal" GroupName="grpActions" />
                    </td>
                    <td>
                        <table>
                            <tr>
                                <td>
                                    <asp:CheckBox ID="_chkNotify" resourcekey="_chkNotify" CssClass="Normal" runat="server" Checked="true" />
                                </td>
                                <td>
                                    <asp:RadioButtonList ID="_rblNotifyType" runat="server" CssClass="Normal">
                                        <asp:ListItem Value="D" resourcekey="notifyDef" Selected="True"></asp:ListItem>
                                        <asp:ListItem Value="C" resourcekey="notifyCustom"></asp:ListItem>
                                    </asp:RadioButtonList>
                                    
                                </td>
                                <td valign="bottom">
                                    <asp:DropDownList ID="_ddlRestoreEmailTemp" CssClass="Normal" runat="server" Width="150" />
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr id="_trActionAuth" runat="server">
                    <td width="220">
                        <asp:RadioButton ID="_rbActionAuth" resourcekey="_rbActionAuth" runat="server" CssClass="Normal" GroupName="grpActions" />
                    </td>
                    <td>
                        <asp:CheckBox ID="_chkAuth" resourcekey="_chkAuth" CssClass="Normal" runat="server" Checked="true" />
                    </td>
                </tr>
                <tr id="_trActionReset" runat="server">
                    <td width="220">
                        <asp:RadioButton ID="_rbActionReset" resourcekey="_rbActionReset" runat="server" CssClass="Normal" GroupName="grpActions" />
                    </td>
                    <td>
                        <table>
                            <tr>
                                <td>
                                    <asp:CheckBox ID="_chkResetNotify" resourcekey="_chkResetNotify" CssClass="Normal" runat="server" Checked="true" />
                                </td>
                                <td>
                                    <asp:RadioButtonList ID="_rblResetPwdNotifyType" runat="server" CssClass="Normal">
                                        <asp:ListItem Value="D" resourcekey="notifyDef" Selected="True"></asp:ListItem>
                                        <asp:ListItem Value="C" resourcekey="notifyCustom"></asp:ListItem>
                                    </asp:RadioButtonList>
                                    
                                </td>
                                <td valign="bottom">
                                    <asp:DropDownList ID="_ddlResetPwdNotifyTemplate" CssClass="Normal" runat="server" Width="150" />
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr id="_trActionForce" runat="server">
                    <td width="220">
                        <asp:RadioButton ID="_rbActionForce" resourcekey="_rbActionForce" runat="server" CssClass="Normal" GroupName="grpActions" />
                    </td>
                    <td>
                        <table cellpadding="5">
                            <tr>
                                <td>
                                    <asp:CheckBox ID="_chkForceNotify" resourcekey="_chkResetNotify" CssClass="Normal" runat="server" Checked="true" />
                                </td>
                                <td valign="bottom">
                                    <asp:DropDownList ID="_ddlForceNotifyTemplate" CssClass="Normal" runat="server" Width="150" />
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr id="_trActionExport" runat="server">
                    <td>
                        <table>
                            <tr>
                               <td width="220">
                                    <asp:RadioButton ID="_rbActionExport" resourcekey="_rblActionExport" runat="server" CssClass="Normal" GroupName="grpActions" />
                                </td>
                                <td>
                                    <asp:RadioButtonList ID="_rblActionExportType" runat="server" CssClass="Normal" RepeatDirection="Horizontal">
                                        <asp:ListItem Text="XML" Value="1" Selected="True"></asp:ListItem>
                                        <asp:ListItem Text="CSV" Value="2"></asp:ListItem>
                                        <asp:ListItem Text="Excel" Value="3"></asp:ListItem>
                                    </asp:RadioButtonList>
                                    &nbsp;&nbsp;
                                    <asp:Label ID="_lblExportTemplate" resourcekey="_lblExportTemplate" runat="server" CssClass="Normal" />
                                    <asp:DropDownList ID="_ddlExportTemplates" runat="server" Width="150" CssClass="NormalTextBox" />
                                </td> 
                            </tr>
                            <tr>
                                <td class="SubHead">
                                    <DNN:label id="lblPackageSize" runat="server" resourcekey="lblPackageSize" Suffix=":">
                                    </DNN:label>
                                </td>
                                <td style="vertical-align: baseline; width: 408px">
                                    <asp:TextBox ID="_txtPackageSize" runat="server"></asp:TextBox>
                                    <asp:CompareValidator ID="valPackageSize" CssClass="NormalRed" runat="server" resourcekey="valPackageSize"
                                            ControlToValidate="_txtPackageSize" ErrorMessage="Invalid value!"
                                            Display="Dynamic" Type="Integer" Operator="DataTypeCheck" ValidationGroup="vgExport" />
                                </td>
                            </tr>
                            <tr>
                                <td class="SubHead">
                                    <DNN:label id="lblPackageDisabled" runat="server" resourcekey="lblPackageDisabled" Suffix=":">
                                    </DNN:label>
                                </td>
                                <td style="vertical-align: baseline; width: 408px">
                                    <asp:CheckBox ID="_chkPackageDisabled" runat="server" />
                                </td>
                            </tr>
                        </table>

                    </td>
                </tr>
                <tr id="_trActionSendInfo" runat="server">
                    <td width="220">
                        <asp:RadioButton ID="_rbActionSendInfo" resourcekey="_rblActionSendInfo" runat="server" CssClass="Normal" GroupName="grpActions" />
                    </td>
                    <td>
                        <asp:DropDownList ID="_ddlAccountInfoTemplates" runat="server" CssClass="NormalTextBox" Width="150" />
                    </td>
                </tr>
                <tr id="_trActionSendEmail" runat="server">
                    <td width="220">
                        <asp:RadioButton ID="_rbActionSendEmail" resourcekey="_rblActionSendEmail" runat="server" CssClass="Normal" GroupName="grpActions" />
                    </td>
                    <td>
                        <asp:DropDownList ID="_ddlEmailTemplates" runat="server" CssClass="NormalTextBox" Width="150" />
                    </td>
                </tr>
                <tr id="_trActionLockedOut" runat="server">
                    <td width="220">
                        <asp:RadioButton ID="_rbActionLockedOut" resourcekey="_rbActionLockedOut" runat="server" CssClass="Normal" GroupName="grpActions" />
                    </td>
                    <td>
                        <asp:CheckBox ID="_chkLockedOut" resourcekey="_chkLockedOut" CssClass="Normal" runat="server" Checked="true" />
                    </td>
                </tr>
                
                <tr>
                    <td colspan="2" align="center">
                        <asp:Label ID="_lblResult" resourcekey="_lblResult" runat="server" CssClass="Normal" Visible="false" />
                        <asp:Label ID="_lblError" runat="server" CssClass="NormalRed" Visible="false" /><br />
                        
                        <asp:Button ID="_btnExecuteAction" resourcekey="_btnExecuteAction" runat="server" CssClass="Normal" />
                    </td>
                </tr>
            </table>
            </contenttemplate>
              <triggers>
                <asp:AsyncPostBackTrigger ControlID="_btnExecuteAction" EventName="Click" />
              </triggers>
            </asp:UpdatePanel>
            <asp:UpdateProgress ID="_upsActions" runat="server" AssociatedUpdatePanelID="_upActions" >
                <ProgressTemplate>
                    <div align="center">
                        <asp:Image ID="Image1" ImageUrl="~/DesktopModules/DNNMasters.UMS/images/ajax-loader.gif" runat="server" ImageAlign="Middle" />
                    </div>
                </ProgressTemplate>
            </asp:UpdateProgress>
        </td>
    </tr>
</table>
