<%@ Register TagPrefix="uc1" TagName="ManageTemplates" Src="UMS_ManageTemplates.ascx" %>
<%@ register tagprefix="uc1" tagname="UMS_MappingTemplates" src="UMS_MappingTemplates.ascx" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke" %>
<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="UMS_Import.ascx.cs"
    Inherits="DNNMasters.UMS.UI.UserControls.UMS_Import" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="ASEdit" TagName="ASEditor" Src="UMS_ASEdit.ascx" %>


<script runat="server" type="text/C#">

    protected void ManageTemplates2_Load(object sender, EventArgs e)
    {

    }

    protected void lblExportDesc_Load(object sender, EventArgs e)
    {

    }
</script>

<table id="_tblTrial" runat="server" width="100%" visible="false" align="center">
    <tr>
        <td align="center">
            <asp:Label ID="_lblTrialAlert" resourcekey="_lblTrialAlert" runat="server" ForeColor="Red" CssClass="NormalBold" />
        </td>
    </tr>
</table>

<asp:UpdatePanel ID="UpdatePanel1" runat="server" ChildrenAsTriggers="False" UpdateMode="Conditional">
  <contenttemplate>

<asp:Panel ID="_pnlImport" runat="server">
    <table border="0" cellpadding="5" cellspacing="0" style="">
        <tr>
            <td class="Normal">
                <uc1:managetemplates id="tmplImport" runat="server" ControlNames="ddlImportPortals;cblImportAdditionalRoles;txtImportExpiryDate;txtImportSuffixUserName;cbImportAuthorized;cbImportSendNotification;cmdImportFile;rbImportModeUsersRolesUserRoles;rbImportModeUsersUserRoles;rbImportModeOnlyUsers;rbImportModeOnlyRoles;rbImportExistsExportToFile;rbImportExistsCreateWithSuffix;rbImportMethodAllInOne;rbImportMethodRecByRec;rbImportExistsUpdate;_chkImportExistsUpdate_PasswordUpdate;cbAutogeneratePassword;rbAutoGenPassWhereMissing;rbAutoGenPassAll;"
                    enableviewstate="true" listmode="false">
                </uc1:managetemplates>
            </td>
        </tr>
    </table>
    <br />
    
    <asp:Panel id="_pnlWebServiceImport" runat="server">
        <dnn:SectionHead ID="_dshWebServiceImport" runat="server" CssClass="Head" ResourceKey="_dshWebServiceImport"
            Section="_tblWebServiceImport" IsExpanded="false" />
        <table id="_tblWebServiceImport" runat="server">
            <tr>
                <td>
                    <dnn:label id="WebServiceUrl" runat="server" resourcekey="WebServiceUrl" Suffix=":"
                        cssclass="NormalBold">
                    </dnn:label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="_lblWebServiceUrl" runat="server" Text="Label" CssClass="Normal" />
                </td>
            </tr>
        </table>
    </asp:Panel>
    
    <dnn:SectionHead ID="_dshImport" runat="server" CssClass="Head" ResourceKey="_dshImport"
        Section="ImportTable1" />
    <table id="ImportTable1" cellspacing="1" cellpadding="5" border="0" runat="server">
        <tr>
            <td class="SubHead" valign="baseline" align="center" colspan="4">
                <dnn:label id="ImportDesc" runat="server" text="General Information" resourcekey="lblImportDesc"
                    cssclass="NormalBold">
                </dnn:label>
            </td>
        </tr>
        <tr>
            <td class="SubHead" valign="baseline" nowrap>
                <dnn:label id="ImportDestinationPortal" runat="server" text="Destination Portal" resourcekey="lblImportDestinationPortal">
                </dnn:label>
            </td>
            <td class="Normal" valign="baseline" colspan="3">
                <asp:DropDownList ID="ddlImportPortals" runat="server" Width="250px" AutoPostBack="True">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td class="SubHead" valign="baseline" rowspan="6">
                <dnn:label id="lblImportMode" runat="server" text="Import Mode:" resourcekey="lblImportMode">
                </dnn:label>
            </td>
            <td class="Normal" valign="left" colspan="3">
                <table>
                    <tr>
                        <td>
                            <asp:RadioButton ID="rbImportModeUsersRolesUserRoles" runat="server" Checked="True" GroupName="IMPORT_MODE" />
                        </td>
                        <td>
                            <dnn:label id="lblImportModeUsersRolesUserRoles" runat="server"
                                text="Import Users, missing Roles and User-in-Role links" resourcekey="lblImportModeUsersRolesUserRoles" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="Normal" valign="baseline" colspan="3">
                <table>
                    <tr>
                        <td>
                            <asp:RadioButton ID="rbImportModeUsersUserRoles" runat="server" GroupName="IMPORT_MODE" />
                        </td>
                        <td>
                            <dnn:label id="lblImportModeUsersUserRoles" runat="server" text="Import Users and User-in-Role links" 
                                resourcekey="lblImportModeUsersUserRoles" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="Normal" valign="baseline" colspan="3">
                <table>
                    <tr>
                        <td>
                            <asp:RadioButton ID="rbImportModeOnlyUsers" runat="server" GroupName="IMPORT_MODE" />
                        </td>
                        <td>
                            <dnn:label id="lblImportModeOnlyUsers" runat="server" text="Import Users only"
                                resourcekey="lblImportModeOnlyUsers"></dnn:label>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="Normal" valign="baseline" colspan="3">
                <table>
                    <tr>
                        <td>
                            <asp:RadioButton ID="rbImportModeOnlyRoles" runat="server" GroupName="IMPORT_MODE" />
                        </td>
                        <td>
                            <dnn:label id="lblImportModeOnlyRoles" runat="server" text="Import missing Roles only"
                                resourcekey="lblImportModeOnlyRoles"></dnn:label>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="Normal" valign="baseline" colspan="3">
                <table>
                    <tr>
                        <td>
                            <asp:RadioButton ID="_rbControlledImport" runat="server" GroupName="IMPORT_MODE" AutoPostBack="true" />
                        </td>
                        <td>
                            <dnn:label id="lblControlledImport" runat="server" text="Controlled import with field mapping"
                                resourcekey="lblControlledImport"></dnn:label>&nbsp;&nbsp;
                            <asp:LinkButton ID="_lnkMappingTemplate" runat="server" resourcekey="_lnkMappingTemplate" CssClass="Normal" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="Normal" valign="baseline" colspan="3">
                <table>
                    <tr>
                        <td>
                            <asp:RadioButtonList ID="_rblControlledImportMode" runat="server" CssClass="Normal" RepeatDirection="Horizontal">
                                <asp:ListItem Value="U" Selected="True" resourcekey="rbControlledUsers"></asp:ListItem>
                                <asp:ListItem Value="R" resourcekey="rbControlledRoles"></asp:ListItem>
                                <asp:ListItem Value="UR" resourcekey="rbControlledUserRoles"></asp:ListItem>
                            </asp:RadioButtonList>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="SubHead" valign="baseline">
                <dnn:label id="lblImportAdditionalRoles" runat="server" text="Additional Roles" resourcekey="lblImportAdditionalRoles" >
                </dnn:label>
            </td>
            <td class="Normal" valign="baseline" colspan="3">
                <asp:CheckBoxList ID="cblImportAdditionalRoles" runat="server" CssClass="Normal"
                    RepeatColumns="4" RepeatDirection="Horizontal">
                </asp:CheckBoxList>
            </td>
        </tr>
        <tr>
            <td class="SubHead" valign="baseline" align="left" rowspan="2">
                <dnn:label id="lblImportExpiryDate" runat="server" text="Expiry Date" resourcekey="lblImportExpiryDate">
                </dnn:label>
            </td>
            <td valign="baseline" colspan="3">
                <asp:TextBox ID="txtImportExpiryDate" runat="server"></asp:TextBox>
                <asp:HyperLink ID="_hypCalendarExpiry" runat="server" />
            </td>
        </tr>
        <tr>
            <td valign="baseline" colspan="3">
            <asp:CompareValidator ID="_valImportExpiryDate" runat="server" resourcekey="valImportExpiryDate"
                    CssClass="NormalRed" Type="Date" Operator="DataTypeCheck" ErrorMessage="Invalid date !"
                    ControlToValidate="txtImportExpiryDate"></asp:CompareValidator>
            </td>
        </tr>
        <tr>
            <td class="SubHead" valign="baseline" rowspan="3">
                <dnn:label class="NormalTextBox" id="ImportDuplicates" runat="server" text="Handling duplicates"
                    resourcekey="lblImportDuplicates">
                </dnn:label>
            </td>
            <td class="Normal" valign="baseline" colspan="3">
                <table>
                    <tr>
                        <td>
                            <asp:RadioButton ID="rbImportExistsExportToFile" runat="server" Checked="True" GroupName="IMPORT_EXISTSTING_USER_MODE" />
                        </td>
                        <td>
                            <dnn:label id="ImportExistsExportToFile" runat="server" text="Export duplicate users to file"
                                resourcekey="lblImportExistsExportToFile" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="Normal" valign="baseline">
                <table>
                    <tr>
                        <td>
                            <asp:RadioButton ID="rbImportExistsCreateWithSuffix" runat="server" GroupName="IMPORT_EXISTSTING_USER_MODE" />
                        </td>
                        <td>
                            <dnn:label id="ImportExistsCreateWithSuffix" runat="server" text="Import with suffix"
                                resourcekey="lblImportExistsCreateWithSuffix" />
                        </td>
                    </tr>
                </table>
            </td>
            <td class="Normal" colspan="2">
                <asp:TextBox ID="txtImportSuffixUserName" runat="server" Width="150px"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td class="Normal" valign="baseline">
                <table>
                    <tr>
                        <td>
                            <asp:RadioButton ID="rbImportExistsUpdate" runat="server" GroupName="IMPORT_EXISTSTING_USER_MODE" />
                        </td>
                        <td>
                            <dnn:label id="lblImportExistsUpdate" runat="server" text="Import with suffix"
                                resourcekey="lblImportExistsUpdate" />
                        </td>
                    </tr>
                </table>
            </td>
            <td class="Normal" colspan="2">
                <table>
                    <tr>
                        <td>
                            <asp:CheckBox ID="_chkImportExistsUpdate_PasswordUpdate" runat="server" Checked="false" />
                        </td>
                        <td>
                            <dnn:label id="lblImportExistsUpdate_PasswordUpdate" runat="server" text="Export duplicate users to file"
                                resourcekey="lblImportExistsUpdate_PasswordUpdate" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="SubHead" valign="baseline">
                <dnn:label id="ImportAdditionalSettings" runat="server" text="Additional Settings"
                    resourcekey="lblImportAdditionalSettings">
                </dnn:label>
            </td>
            <td class="Normal" valign="baseline">
                <table>
                    <tr>
                        <td>
                            <asp:CheckBox ID="cbImportSendNotification" runat="server" Checked="True" />
                        </td>
                        <td>
                            <dnn:label id="lblImportSendNotification" runat="server" text="Send notifications"
                                resourcekey="lblImportSendNotification" />
                        </td>
                    </tr>
                </table>
            </td>
            <td colspan="2">
                <table>
                    <tr>
                        <td colspan="2">
                            <asp:RadioButton ID="_rbNotifyDef" Checked="true" runat="server" CssClass="Normal" resourcekey="notifyTypeDef" GroupName="notifyType" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:RadioButton ID="_rbNotifyCustom" runat="server" CssClass="Normal" resourcekey="notifyTypeCustom" GroupName="notifyType" />
                        </td>
                        <td>
                            <asp:DropDownList ID="_ddlImprtEmailTemplates" CssClass="Normal" runat="server" Width="150" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="SubHead" valign="baseline">
                <dnn:label id="ImportMethod" runat="server" text="Import method" resourcekey="lblImportMethod">
                </dnn:label>
            </td>
            <td class="Normal" valign="baseline">
                <asp:CheckBox ID="_chkEnableAuditTracking" runat="server" Checked="True"/>
            </td>
            <td class="Normal" valign="baseline" colspan="2">
            </td>
        </tr>
        <tr>
            <td class="SubHead" valign="baseline" rowspan="1">
                <dnn:label id="ImportGeneratePasswords" runat="server" text="Generate passwords"
                    resourcekey="lblImportGeneratePasswords">
                </dnn:label>
            </td>
            <td class="Normal" valign="baseline" colspan="1">
                <table>
                    <tr>
                        <td>
                            <asp:CheckBox ID="cbAutogeneratePassword" runat="server" CssClass="NormalTextBox" />
                        </td>
                        <td>
                            <dnn:label id="AutogeneratePassword" runat="server" text="Generate Passwords" resourcekey="lblImportAutogeneratePassword" />
                        </td>
                    </tr>
                </table>
            </td>
            <td class="Normal" valign="baseline" colspan="1">
                <table>
                    <tr>
                        <td>
                            <asp:RadioButton ID="rbAutoGenPassWhereMissing" runat="server" Checked="True" GroupName="IMPORT_AUTOGEN_PASS" />
                        </td>
                        <td>
                            <dnn:label id="AutoGenPassWhereMissing" runat="server" text="Where missing" resourcekey="lblAutoGenPassWhereMissing" />
                        </td>
                    </tr>
                </table>
            </td>
            <td class="Normal" style="width: 55px" valign="baseline" colspan="1">
                <table>
                    <tr>
                        <td>
                            <asp:RadioButton ID="rbAutoGenPassAll" runat="server" GroupName="IMPORT_AUTOGEN_PASS" />
                        </td>
                        <td>
                            <dnn:label id="AutoGenPassAll" runat="server" text="All" resourcekey="lblAutoGenPassAll" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="SubHead" valign="baseline" rowspan="1">
                <dnn:label id="lblPackageSize" runat="server" resourcekey="lblPackageSize">
                </dnn:label>
            </td>
            <td class="Normal" valign="baseline" colspan="1">
                <asp:TextBox ID="_txtPackageSize" runat="server" MaxLength="6"></asp:TextBox>
            </td>
            <td class="Normal" valign="baseline" colspan="2">
                <table>
                    <tr>
                        <td>
                            <asp:CheckBox ID="cbImportAuthorized" runat="server" Checked="True" />
                        </td>
                        <td>
                            <dnn:label id="lblImportAuthorized" runat="server" text="Authorized" resourcekey="lblImportAuthorized" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <dnn:label id="lblImportNotEmptyProfileData" runat="server" resourcekey="lblImportNotEmptyProfileData">
                </dnn:label>
            </td>
            <td>
                <asp:CheckBox ID="_chkImportNotEmptyProfileData" runat="server"  />
            </td>
        </tr>
        <tr>
            <td>
                <dnn:label id="lblTaskName" runat="server" resourcekey="lblTaskName">
                </dnn:label>
            </td>
            <td>
                <asp:TextBox ID="_txtTaskName" runat="server" MaxLength="200"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td class="SubHead" valign="baseline" rowspan="3">
                <dnn:label id="ImportFileToImport" runat="server" text="Import File:" resourcekey="lblImportFileToImport">
                </dnn:label>
            </td>
            <td class="Normal" valign="baseline" colspan="3">
                <dnn:label id="_lblImportFileError" runat="server" text="File is required to Import"
                    resourcekey="lblImportFileError" cssclass="NormalRed" visible="False" forecolor="red"
                    designtimedragdrop="718">
                </dnn:label>
                <table>
                    <tr>
                        <td>
                            <asp:CheckBox ID="_cbImportFileAlreadyExists" runat="server" AutoPostBack="True" Checked="True" />
                        </td>
                        <td>
                            <dnn:label id="ImportFileAlreadyExists" runat="server" text="File exists" resourcekey="lblImportFileAlreadyExists" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td valign="baseline" colspan="3">
                <input id="cmdImportFile" type="file" size="50" name="cmdBrowse" runat="server">
            </td>
        </tr>
        <tr>
            <td valign="baseline" colspan="3">
                <asp:Panel ID="_pnlImprotFileSelection" runat="server" Visible="False">
                    <div>
                        <div class="dnnFormMessage dnnFormInfo">
                            <asp:Label id="lblLocalInfo" runat="server" resourcekey="lblLocalInfo" />
                        </div>
                        <div class="dnnFormItem">
                            <dnn:Label ID="ImFileSelLocal" ControlName="" Suffix=":" runat="server" />
                            <asp:RadioButton ID="rbImFileSelLocal" runat="server" GroupName="FileImportSelect" Checked="True"/>
                        </div>
                        <div class="dnnFormItem">
                            <dnn:Label ID="lblImportFileName" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
                            <asp:TextBox ID="_txtImportFileName" runat="server" Visible="False"></asp:TextBox>   
                        </div> 
                    </div>
                    
                    <div>
                        <div class="dnnFormMessage dnnFormInfo">
                            <asp:Label id="lblFTPSettings" runat="server" resourcekey="lblFTPSettings" />
                        </div>
                        <div class="dnnFormItem">
                            <asp:Label id="lblFileSelFTP" runat="server" resourcekey="lblFileSelFTP" />
                            <asp:RadioButton ID="rbImFileSelFTP" runat="server" GroupName="FileImportSelect" />
                        </div>
                        <div class="dnnFormItem">
                            <dnn:Label ID="lblFTPHost" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
                            <asp:TextBox ID="_txtFTPHost" runat="server"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="Required!" Display="Dynamic"
                                ControlToValidate="_txtFTPHost" CssClass="dnnFormMessage dnnFormError" ValidationGroup="vgPrAr"></asp:RequiredFieldValidator>
                        </div>
                        <div class="dnnFormItem">
                            <dnn:Label ID="lblFTPUsername" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
                            <asp:TextBox ID="_txtFTPUsername" runat="server"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="Required!" Display="Dynamic"
                                ControlToValidate="_txtFTPUsername" CssClass="dnnFormMessage dnnFormError" ValidationGroup="vgPrAr"></asp:RequiredFieldValidator>
                        </div>
                        <div class="dnnFormItem">
                            <dnn:Label ID="lblFTPPassword" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
                            <asp:TextBox ID="_txtFTPPassword" runat="server"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ErrorMessage="Required!" Display="Dynamic"
                                ControlToValidate="_txtFTPPassword" CssClass="dnnFormMessage dnnFormError" ValidationGroup="vgPrAr"></asp:RequiredFieldValidator>
                        </div>
                        <div class="dnnFormItem">
                            <dnn:Label ID="lblFTPPath" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
                            <asp:TextBox ID="_txtFTPPath" runat="server"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ErrorMessage="Required!" Display="Dynamic"
                                ControlToValidate="_txtFTPPath" CssClass="dnnFormMessage dnnFormError" ValidationGroup="vgPrAr"></asp:RequiredFieldValidator>
                        </div>
                        <div class="dnnFormItem">
                            <dnn:Label ID="lblFTPSectionsFilename" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
                            <asp:TextBox ID="_txtFTPSectionsFilename" runat="server"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ErrorMessage="Required!" Display="Dynamic"
                                ControlToValidate="_txtFTPSectionsFilename" CssClass="dnnFormMessage dnnFormError" ValidationGroup="vgPrAr"></asp:RequiredFieldValidator>
                        </div>
                        <div class="dnnFormItem">
                            <dnn:Label ID="lblFTPDeleteFile" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
                            <asp:CheckBox ID="_chkFTPDeleteFile" runat="server" Checked="True"/>
                        </div>
                        <div class="dnnFormItem">
                            <asp:LinkButton ID="_lnkTestConnection" runat="server" CssClass="dnnSecondaryAction" ValidationGroup="vgPrAr">Test connection</asp:LinkButton>
                            <asp:Label ID="_lblFTPInfo" runat="server" Text=""></asp:Label>
                        </div>
                        
                    </div>
                </asp:Panel>
            </td>
        </tr>
        <tr>
            <td valign="baseline" align="center" colspan="4" rowspan="1">
                <asp:LinkButton ID="_cmdImportExecute" runat="server" resourcekey="cmdImportExecute"
                     CssClass="dnnPrimaryAction">Start Import</asp:LinkButton>
            </td>
        </tr>
        <tr>
            <td valign="baseline" align="center" colspan="4" rowspan="1">
                <asp:HyperLink ID="hlImportUsersRecByRecInfoError" runat="server" resourcekey="hlImportUsersRecByRecInfoError"
                    CssClass="CommandButton" Visible="False">HyperLink</asp:HyperLink>
            </td>
        </tr>
        <tr>
            <td valign="baseline" align="center" colspan="4" rowspan="1">
                <dnn:label id="_lblImportError" runat="server" text="Error" resourcekey="lblImportError"
                    cssclass="SubHead" visible="False" forecolor="red">
                </dnn:label>
            </td>
        </tr>
    </table>
    
    <!-- SCHEDULER IMPORT -->
    <dnn:SectionHead ID="_dshSchedulerImport" runat="server" CssClass="Head" ResourceKey="_dshSchedulerImport"
        Section="_tblSchedulerImport" IsExpanded="false" />
    <table id="_tblSchedulerImport" runat="server">
        <tr>
            <td class="SubHead" valign="baseline" align="center">
                <dnn:label id="lblScheduleImportSettings" runat="server" text="Import Scheduler settings"
                    resourcekey="lblScheduleImportSettings">
                </dnn:label>
            </td>
        </tr>
        <tr>
            <td>
                <table height="0" cellspacing="0" cellpadding="2" border="0">
                    <asp:Panel ID="_pnlSchedulerMappImportFields" runat="server" Visible="false">
                    <tr>
                        <td class="SubHead">
                            <dnn:label id="lblSchedulerCustomImportTemplate" runat="server" suffix=":" controlname="" />
                        </td>
                        <td valign="top">
                            <asp:RadioButtonList ID="_rblstSchedulerMappingType2" runat="server" AutoPostBack="true" >
                                <asp:ListItem Value="LT" Text="Legacy Templates" Selected="True"></asp:ListItem>
                                <asp:ListItem Value="AT" Text="Advanced Templates" ></asp:ListItem>
                            </asp:RadioButtonList>
                            <asp:DropDownList ID="_ddlSchedulerMappingTemplate" runat="server" CssClass="NormalTextBox" AutoPostBack="true" 
                                DataTextField="Text" DataValueField="Value" Width="200" />
                            <asp:CustomValidator ID="_valSchedulerMappingTemplate" runat="server" ErrorMessage="*" CssClass="Normal" Display="Dynamic" />
                        </td>
                    </tr>
                    </asp:Panel>
                    <tr>
                        <td colspan="2">
                            <asedit:aseditor id="ctlASEdit" runat="server" AllowDisable="false" />
                        </td>
                    </tr>
                    <tr>
                        <td class="SubHead">
                            <dnn:label id="lblImportEmail" runat="server" text="E-mail:" controlname="_txtImportEmail" />
                        </td>
                        <td>
                            <asp:TextBox ID="_txtImportEmail" runat="server" CssClass="NormaltextBox" Width="350px" MaxLength="255" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td valign="baseline" align="center" colspan="4">
                <dnn:label id="lblAddImportToScheduleError" runat="server" text="Error" resourcekey="lblAddImportToScheduleError"
                    cssclass="SubHead" visible="False" forecolor="Red">
                </dnn:label>
                <asp:Panel ID="_pnlAddImportToScheduleMessage" runat="server"></asp:Panel>
                <asp:LinkButton ID="_cmdAddImportToSchedule" runat="server" CssClass="CommandButton"
                    resourcekey="cmdAddImportToSchedule" CommandName="xls"></asp:LinkButton>
            </td>
        </tr>
    </table>
    <table>
        <tr>
            <td style="width: 180px" valign="baseline" rowspan="1">
            </td>
            <td valign="baseline" colspan="1">
            </td>
            <td colspan="1">
            </td>
            <td colspan="1">
            </td>
        </tr>
        <tr>
            <td colspan="4">
                <asp:Panel ID="_pnlImportReport" runat="server">
                    <table>
                        <tr>
                            <td valign="baseline" align="center" colspan="4" class="NormalBold">
                                <dnn:label id="Label1" runat="server" text="Import Report" resourcekey="Label1" cssclass="NormalBold"
                                    forecolor="White">
                                </dnn:label>
                            </td>
                        </tr>
                        <tr>
                            <td valign="baseline" colspan="4" class="NormalBold">
                                <dnn:label id="Label2" runat="server" resourcekey="Label2" cssclass="NormalBold"
                                    forecolor="White">
                                </dnn:label>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 180px" valign="baseline" rowspan="1" class="NormalBold">
                                <dnn:label id="lblImportReportActionUsersLabel" runat="server" resourcekey="lblImportReportActionUsersLabel"
                                    cssclass="NormalBold">
                                </dnn:label>
                            </td>
                            <td valign="baseline" colspan="3" class="NormalBold">
                                <asp:Label ID="lblImportReportActionUsers" runat="server" CssClass="NormalBold"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 180px" valign="baseline" rowspan="1" class="NormalBold">
                                <dnn:label id="lblImportReportActionRolesLabel" runat="server" resourcekey="lblImportReportActionRolesLabel"
                                    cssclass="NormalBold">
                                </dnn:label>
                            </td>
                            <td valign="baseline" colspan="3" class="NormalBold">
                                <asp:Label ID="lblImportReportActionRoles" runat="server" CssClass="NormalBold"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 180px" valign="baseline" rowspan="1" class="NormalBold">
                                <dnn:label id="lblImportReportActionUserRolesLabel" runat="server" resourcekey="lblImportReportActionUserRolesLabel"
                                    cssclass="NormalBold">
                                </dnn:label>
                            </td>
                            <td valign="baseline" colspan="3" class="NormalBold">
                                <asp:Label ID="lblImportReportActionUserRoles" runat="server" CssClass="NormalBold"></asp:Label>
                            </td>
                        </tr>
                        <tr>
                            <td valign="baseline" colspan="4" rowspan="1" class="NormalBold">
                                <dnn:label id="Label3" runat="server" text="Import details Info:" resourcekey="Label3"
                                    cssclass="NormalBold" forecolor="White">
                                </dnn:label>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 180px" valign="baseline" rowspan="1" class="NormalBold">
                                <dnn:label id="lblImportReportDetailsUsersAddedLabel" runat="server" resourcekey="lblImportReportDetailsUsersAddedLabel"
                                    cssclass="NormalBold">
                                </dnn:label>
                            </td>
                            <td valign="baseline" colspan="1" class="NormalBold">
                                <asp:Label ID="lblImportReportDetailsUsersAdded" runat="server" CssClass="NormalBold"></asp:Label>
                            </td>
                            <td colspan="1">
                            </td>
                            <td colspan="1">
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 180px" valign="baseline" rowspan="1" class="NormalBold">
                                <dnn:label id="lblImportReportDetailsExistsUsersDesc" runat="server" resourcekey="lblImportReportDetailsExistsUsersDesc"
                                    cssclass="NormalTextBox">
                                </dnn:label>
                            </td>
                            <td valign="baseline" colspan="1" class="NormalBold">
                                <asp:Label ID="lblImportReportDetailsExistsUsers" runat="server" CssClass="NormalBold"></asp:Label>
                            </td>
                            <td colspan="1">
                            </td>
                            <td colspan="1">
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 180px" valign="baseline" rowspan="1" class="NormalBold">
                                <dnn:label id="lblImportReportDetailsRolesAddedLabel" runat="server" resourcekey="lblImportReportDetailsRolesAddedLabel"
                                    cssclass="NormalBold">
                                </dnn:label>
                            </td>
                            <td valign="baseline" colspan="1" class="NormalBold">
                                <asp:Label ID="lblImportReportDetailsRolesAdded" runat="server" CssClass="NormalBold"></asp:Label>
                            </td>
                            <td colspan="1">
                            </td>
                            <td colspan="1">
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 180px" valign="baseline" rowspan="1" class="NormalBold">
                                <dnn:label id="lblImportReportDetailsUserPortalsAddedLabel" runat="server" resourcekey="lblImportReportDetailsUserPortalsAddedLabel"
                                    cssclass="NormalBold">
                                </dnn:label>
                            </td>
                            <td valign="baseline" colspan="1" class="NormalBold">
                                <asp:Label ID="lblImportReportDetailsUserPortalsAdded" runat="server" CssClass="NormalBold"></asp:Label>
                            </td>
                            <td colspan="1">
                            </td>
                            <td colspan="1">
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 180px" valign="baseline" rowspan="1">
                            </td>
                            <td valign="baseline" colspan="1">
                                <asp:HyperLink ID="hlImportUsersRecByRecInfo" runat="server" CssClass="CommandButton"
                                    Visible="False" />
                            </td>
                            <td colspan="1">
                            </td>
                            <td colspan="1">
                            </td>
                        </tr>
                        <tr>
                            <td valign="baseline" align="left" colspan="4" rowspan="1" class="NormalBold">
                                <dnn:label id="Label5" runat="server" text="Import Additional Info" resourcekey="Label5"
                                    cssclass="NormalBold" forecolor="White">
                                </dnn:label>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 180px" valign="baseline" rowspan="1" class="NormalBold">
                                <dnn:label id="lblImportReportAdditionalSendNotifyErrorLabel" runat="server" resourcekey="lblImportReportAdditionalSendNotifyErrorLabel"
                                    cssclass="NormalBold">
                                </dnn:label>
                            </td>
                            <td valign="baseline" colspan="1" class="NormalBold">
                                <asp:Label ID="lblImportReportAdditionalSendNotify" runat="server" CssClass="NormalBold"></asp:Label>
                            </td>
                            <td colspan="1" class="NormalBold">
                                <asp:Label ID="lblImportReportAdditionalSendNotifyError" runat="server" CssClass="NormalTextBox"
                                    ForeColor="Red"></asp:Label>
                            </td>
                            <td colspan="1">
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 180px" valign="baseline" rowspan="1" class="NormalBold">
                                <dnn:label id="lblImportReportAdditionalExistsUsersBackupLabel" runat="server" resourcekey="lblImportReportAdditionalExistsUsersBackupLabel"
                                    cssclass="NormalBold">
                                </dnn:label>
                            </td>
                            <td valign="baseline" colspan="1" class="NormalBold">
                                <asp:Label ID="lblImportReportAdditionalExistsUsersBackup" runat="server" CssClass="NormalBold"></asp:Label>
                            </td>
                            <td colspan="1" class="NormalBold">
                                <dnn:label id="lblImportReportAdditionalExistsUsersBackupError" runat="server" cssclass="NormalTextBox"
                                    forecolor="Red">
                                </dnn:label>
                            </td>
                            <td colspan="1">
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 180px" valign="baseline" rowspan="1" class="NormalBold">
                                <dnn:label id="lblImportReportAdditionalExistsUsersFileLabel" runat="server" resourcekey="lblImportReportAdditionalExistsUsersFileLabel"
                                    cssclass="NormalBold">
                                </dnn:label>
                            </td>
                            <td valign="baseline" colspan="1" class="NormalBold">
                                <asp:Panel ID="pnlImportReportAdditionalExistsUsersFile" runat="server">
                                    <asp:HyperLink ID="hlImportReportAdditonalExistsUsersExportFile" runat="server" CssClass="CommandButton"
                                        ForeColor="Blue" NavigateUrl="k" /></asp:Panel>
                            </td>
                            <td colspan="1">
                            </td>
                            <td colspan="1">
                            </td>
                        </tr>
                        <tr>
                            <td valign="baseline" colspan="4" rowspan="1" class="NormalBold">
                                <dnn:label id="Label6" runat="server" text="Backup file Info" resourcekey="Label6"
                                    cssclass="NormalBold" forecolor="White">
                                </dnn:label>
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 180px" valign="baseline" rowspan="1" class="NormalBold">
                                <dnn:label id="lblImportReportBackupUsersLabel" runat="server" resourcekey="lblImportReportBackupUsersLabel"
                                    cssclass="NormalBold">
                                </dnn:label>
                            </td>
                            <td valign="baseline" colspan="1" class="NormalBold">
                                <asp:Label ID="lblImportReportBackupUsers" runat="server" CssClass="NormalBold"></asp:Label>
                            </td>
                            <td colspan="1">
                            </td>
                            <td colspan="1">
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 180px" valign="baseline" rowspan="1" class="NormalBold">
                                <dnn:label id="lblImportReportBackupRolesLabel" runat="server" resourcekey="lblImportReportBackupRolesLabel"
                                    cssclass="NormalBold">
                                </dnn:label>
                            </td>
                            <td valign="baseline" colspan="1" class="NormalBold">
                                <asp:Label ID="lblImportReportBackupRoles" runat="server" CssClass="NormalBold"></asp:Label>
                            </td>
                            <td colspan="1">
                            </td>
                            <td colspan="1">
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 180px" valign="baseline" rowspan="1" class="NormalBold">
                                <dnn:label id="lblImportReportBackupUserRolesLabel" runat="server" resourcekey="lblImportReportBackupUserRolesLabel"
                                    cssclass="NormalBold">
                                </dnn:label>
                            </td>
                            <td valign="baseline" colspan="1" class="NormalBold">
                                <asp:Label ID="lblImportReportBackupUserRoles" runat="server" CssClass="NormalBold"></asp:Label>
                            </td>
                            <td colspan="1">
                            </td>
                            <td colspan="1">
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 180px" valign="baseline" rowspan="1">
                            </td>
                            <td valign="baseline" colspan="1" class="NormalBold">
                                <asp:Label ID="lblImportReportInfo" runat="server" CssClass="NormalTextBox"></asp:Label>
                            </td>
                            <td colspan="1">
                            </td>
                            <td colspan="1">
                            </td>
                        </tr>
                        <tr>
                            <td style="width: 180px" valign="baseline" rowspan="1">
                            </td>
                            <td valign="baseline" colspan="1">
                            </td>
                            <td colspan="1">
                            </td>
                            <td colspan="1">
                            </td>
                        </tr>
                        <tr>
                            <td valign="baseline" colspan="2">
                                <br>
                            </td>
                            <td colspan="1">
                            </td>
                            <td colspan="1">
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </td>
        </tr>
    </table>
</asp:Panel>


  </contenttemplate>
  <triggers>
    <asp:AsyncPostBackTrigger ControlID="tmplImport" />
    <asp:AsyncPostBackTrigger ControlID="ddlImportPortals" EventName="SelectedIndexChanged" />
    <asp:AsyncPostBackTrigger ControlID="_rbControlledImport" EventName="CheckedChanged" />
    <asp:AsyncPostBackTrigger ControlID="_lnkTestConnection" EventName="Click" />
    <asp:AsyncPostBackTrigger ControlID="_cbImportFileAlreadyExists" EventName="CheckedChanged" />
    <asp:AsyncPostBackTrigger ControlID="_rblstSchedulerMappingType2" EventName="SelectedIndexChanged" />
    
  </triggers>
</asp:UpdatePanel>

<asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1" >
    <ProgressTemplate>
        <div align="center">
            <asp:Image ID="imgLoader" ImageUrl="~/DesktopModules/DNNMasters.UMS/images/ajax-loader.gif" runat="server" ImageAlign="Middle" />
        </div>
    </ProgressTemplate>
</asp:UpdateProgress>



<asp:Panel ID="_pnlFieldMapping" runat="server" Visible="false">
    <div class="dnnFormItem">

        <dnn:label id="lblMappingTemplates" runat="server" cssclass="NormalBold" />
        <asp:RadioButtonList ID="_rblstsMappingType" runat="server" AutoPostBack="true" >
            <asp:ListItem Value="LT" Text="Legacy Templates" Selected="True"></asp:ListItem>
            <asp:ListItem Value="AT" Text="Advanced Templates" ></asp:ListItem>
        </asp:RadioButtonList>
    </div>
    <div class="dnnFormItem">
        <dnn:label id="lblMappingTemplates2" runat="server" cssclass="NormalBold" />
        <asp:DropDownList ID="_ddlMappingTemplates" runat="server" CssClass="NormalTextBox" AutoPostBack="true" DataTextField="Text" DataValueField="Value" Width="200" />
        <asp:DropDownList ID="_ddlMappingTemplatesEx" runat="server" CssClass="NormalTextBox" AutoPostBack="true" DataTextField="Text" DataValueField="Value" Width="200" Visible="False"/>
    </div>
    
    <table id="_tblMappingUser" runat="server" border="0">
        <tr>
            <td valign="top">
                <dnn:label id="lblBasicUserData" runat="server" cssclass="NormalBold" />
                <table>
                    <tr>
                        <td width="150">
                            UserID
                        </td>
                        <td>
                            <asp:DropDownList ID="_ddlMapUserId" runat="server" CssClass="Normal" Width="150" />
                        </td>
                    </tr>
                    <tr>
                        <td width="150">
                            UserName
                        </td>
                        <td>
                            <asp:DropDownList ID="_ddlMapUserName" runat="server" CssClass="Normal" Width="150" />
                            <asp:Label ID="_lblReq1" runat="server" CssClass="Normal" Text="*" ForeColor="Red" />
                        </td>
                    </tr>
                    <tr>
                        <td width="150">
                            Email
                        </td>
                        <td>
                            <asp:DropDownList ID="_ddlMapEmail" runat="server" CssClass="Normal" Width="150" />
                            <asp:Label ID="_lblReq2" runat="server" CssClass="Normal" Text="*" ForeColor="Red" />
                        </td>
                    </tr>
                    <tr>
                        <td width="150">
                            DisplayName
                        </td>
                        <td>
                            <asp:DropDownList ID="_ddlMapDisplayName" runat="server" CssClass="Normal" Width="150" />
                            <asp:Label ID="_lblReq3" runat="server" CssClass="Normal" Text="*" ForeColor="Red" />
                        </td>
                    </tr>
                    <tr>
                        <td width="150">
                            Password
                        </td>
                        <td>
                            <asp:DropDownList ID="_ddlMapPassword" runat="server" CssClass="Normal" Width="150" />
                            <asp:Label ID="_lblReqPass" runat="server" CssClass="Normal" Text="*" ForeColor="Red" />
                        </td>
                    </tr>
                </table>
            </td>
            <td rowspan="2">
                <dnn:label id="lblUserProfileData" runat="server" cssclass="NormalBold" />
                <asp:DataList runat="server" id="_dlMapProperties" CssClass="Normal" DataKeyField="PropertyName">
                  <ItemTemplate>
                    <tr>
                        <td width="150">
                            <asp:Label ID="lblProp" runat="server" Visible="false" Text='<%# DataBinder.Eval(Container.DataItem, "PropertyName")%>'  />
                            <%# DataBinder.Eval(Container.DataItem, "PropertyName")%>
                        </td>
                        <td>
                            <asp:DropDownList ID="_ddlMapField" runat="server" CssClass="Normal" Width="150" />
                            <asp:Label ID="lblReq" runat="server" Visible="false" Text="*" ForeColor="Red" />
                        </td>
                    </tr>
                  </ItemTemplate>
                </asp:DataList>
            </td>
        </tr>
        <tr>
            <td valign="top">
                <dnn:label id="lblUserRoles" runat="server" cssclass="NormalBold" />
                <table id="_tblMappingUserRoles" runat="server">
                    <tr>
                        <td>
                            <asp:DataList runat="server" id="_dlMapUserRoles" CssClass="Normal">
                              <ItemTemplate>
                                <tr>
                                    <td width="150">
                                        Role Name
                                    </td>
                                    <td>
                                        <asp:DropDownList ID="_ddlMapUserRole" runat="server" CssClass="Normal" Width="150" />
                                    </td>
                                </tr>
                                <tr>
                                    <td width="150">
                                        Effective Date
                                    </td>
                                    <td>
                                        <asp:DropDownList ID="_ddlEffectiveDate" runat="server" CssClass="Normal" Width="150" />
                                    </td>
                                </tr>
                                <tr>
                                    <td width="150">
                                        Expiry Date
                                    </td>
                                    <td>
                                        <asp:DropDownList ID="_ddlExpiryDate" runat="server" CssClass="Normal" Width="150" />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2"><hr /></td>
                                </tr>
                              </ItemTemplate>
                            </asp:DataList>
                            <DNN:commandbutton id="_cmdNewUserRole" runat="server" resourcekey="_cmdNewUserRole"
                                CssClass="CommandButton" imageurl="~/images/add.gif" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <table id="_tblMappingRole" runat="server">
        <tr>
            <td colspan="2">
                <dnn:label id="lblRoles" runat="server" cssclass="NormalBold" />
            </td>
        </tr>
        <tr>
            <td width="150">
                RoleId
            </td>
            <td>
                <asp:DropDownList ID="_ddlMapRoleId" runat="server" CssClass="Normal" Width="150" />
            </td>    
        </tr>
        <tr>
            <td width="150">
                RoleName
            </td>
            <td>
                <asp:DropDownList ID="_ddlMapRoleName" runat="server" CssClass="Normal" Width="150" />*
            </td>    
        </tr>
        <tr>
            <td width="150">
                RoleDesc
            </td>
            <td>
                <asp:DropDownList ID="_ddlMapRoleDesc" runat="server" CssClass="Normal" Width="150" />
            </td>    
        </tr>
        <tr>
            <td width="150">
                IsPublic
            </td>
            <td>
                <asp:DropDownList ID="_ddlMapRoleIsPublic" runat="server" CssClass="Normal" Width="150" />
            </td>    
        </tr>
        
        <tr>
            <td width="150">
                AutoAssignment
            </td>
            <td>
                <asp:DropDownList ID="_ddlMapRoleAutoAssignment" runat="server" CssClass="Normal" Width="150" />
            </td>    
        </tr>
    </table>
    <div align="center">
        <asp:CheckBox ID="_chkReadFirst" CssClass="Normal" resourcekey="_chkReadFirst" runat="server" /><br />
        <asp:CustomValidator ID="_valMapFields" CssClass="Normal" Display="Dynamic" runat="server" resourcekey="_valMapFields" /><br />
        <asp:LinkButton ID="_lnkMappingImportExecute" runat="server" resourcekey="_lnkMappingImportExecute"
                        CssClass="CommandButton">Start Import</asp:LinkButton>
    </div>
</asp:Panel>

<asp:Panel ID="_pnlMappingTemplates" runat="server" Visible="false">
    <uc1:UMS_MappingTemplates runat="server" id="_ctlMappingTemplates" Visible="true" /><br />
    <asp:LinkButton ID="_lnkBackFromMappingTemplates" resourcekey="_lnkBackFromMappingTemplates" runat="server" CssClass="CommandButton" />
</asp:Panel>
