<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="UMS_SqlImport.ascx.cs"
    Inherits="DNNMasters.UMS.UI.UserControls.UMS_SqlImport" %>
<%@ Register TagPrefix="cc1" Namespace="DotNetNuke.UI.WebControls" Assembly="CountryListBox" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="ManageTemplates" Src="ManageTemplatesESMDI.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="ASEdit" TagName="ASEditor" Src="UMS_ASEdit.ascx" %>

<asp:UpdatePanel ID="UpdatePanel1" runat="server" ChildrenAsTriggers="False" UpdateMode="Conditional">
  <contenttemplate>
  
<asp:Panel ID="_pnlMain" Width="600px" HorizontalAlign="Center" runat="server">
    <table id="Table1" style="text-align: center" cellspacing="1" cellpadding="5" width="100%"
        border="0">
        <tr>
            <td class="SubHead" style="width: 100%; text-align: center;">
                <dnn:label id="lblMembershipImport" runat="server" resourcekey="lblMembershipImport"
                    text="Database/LDAP Import">
                </dnn:label>
            </td>
        </tr>
        <tr>
            <td class="SubHead" style="width: 100%">
                <dnn:label id="labTemplates" runat="server" resourcekey="lblSelectTemplate" text="Select template">
                </dnn:label>
                <uc1:managetemplates id="ManageTemplates1" runat="server" controlnames="rbDatabase, cbSendNotif, tbDomain, rbPassFL, rbPassRnd, tbDomainUser, ddlLastN, ddlFirstN, rbLDAP, txtSql, txtConnectionString, cbSendNotif, cbRandomPassword, cblAdditionalRoles, cbAuthorizedOnOff, rbDoNotImport, rbEksportToFile, rbImportWithSuffix, txtSuffix"
                    listmode="false" enableviewstate="true">
                </uc1:managetemplates>
            </td>
        </tr>
        <tr>
            <td style="width: 100%">
                <p class="SubHead">
                    <br />
                    <dnn:label id="lblSelectDataSource" runat="server" resourcekey="lblSelectDataSource"
                        text="Select datasource">
                    </dnn:label>
                    <br />
                    <asp:RadioButton ID="rbDatabase" runat="server" resourcekey="rbDatabase" CssClass="NormalTextBox"
                        GroupName="Import" Text="Import from database" Checked="True" AutoPostBack="True">
                    </asp:RadioButton>
                    <asp:RadioButton ID="rbLDAP" runat="server" resourcekey="rbLDAP" CssClass="NormalTextBox"
                        GroupName="Import" Text="Import from domain" AutoPostBack="True"></asp:RadioButton></p>
            </td>
        </tr>
        <tr>
            <td class="NormalTextBox" valign="top" align="center" style="width: 100%">
                <p>
                    <asp:Panel ID="pnlImprotReport" runat="server" Width="579px" Visible="False" Height="50px">
                        <asp:Label ID="lblProgress" runat="server" CssClass="NormalTextBox">Processing...</asp:Label>
                        <br />
                        <asp:LinkButton ID="lnkReturn" runat="server" resourcekey="lnkReturn" Text="Return"
                            CssClass="CommandButton"></asp:LinkButton>
                        <br />
                    </asp:Panel>
                </p>
            </td>
        </tr>
    </table>
</asp:Panel>



<table id="_tblSqlImport" runat="server">
    <tr id="_trSqlStep1" runat="server">
        <td colspan="2">
            <table id="_tblLDAPConnection" runat="server" visible="false">
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblDomainName" runat="server" resourcekey="lblDomainName" text="Domain name" />
                    </td>
                    <td>
                        <asp:TextBox ID="tbDomain" runat="server" Width="250px" CssClass="Normal"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="rfvDomain" runat="server" CssClass="NormalRed" Visible="False"
                            ControlToValidate="tbDomain" ErrorMessage="*">*</asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblDomainUser" runat="server" resourcekey="lblDomainUser" text="Domain user" />
                    </td>
                    <td>
                        <asp:TextBox ID="tbDomainUser" runat="server" Width="250px" CssClass="Normal"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblDomainUserPass" runat="server" resourcekey="lblDomainUserPass"
                                text="Domain user pass" />
                    </td>
                    <td>
                        <asp:TextBox ID="tbDomainUserPass" runat="server" Width="250px" CssClass="Normal"
                                TextMode="Password" />
                        <asp:HiddenField ID="_hfLDAPParss" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <asp:Label ID="lblLDAPError" runat="server" CssClass="NormalRed">Error</asp:Label>
                    </td>
                </tr>
            </table>
            <table id="_tblSqlConnection" runat="server">
                <tr>
                    <td align="center" class="SubHead">
                        <dnn:label id="lblDataSourceConnStr" runat="server" resourcekey="lblDataSourceConnStr"
                            text="Data source connection string:">
                        </dnn:label>
                        <asp:TextBox ID="txtConnectionString" runat="server" Width="590px" CssClass="Normal"
                            TextMode="MultiLine" Height="48px">Server=server_name; Database=database_name; uid=user_name; pwd=password;</asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblUserDataSQL" runat="server" resourcekey="lblUserDataSQL" text="User data SQL string:"
                            cssclass="SubHead">
                        </dnn:label>
                        <asp:TextBox ID="txtSql" runat="server" Width="590px" CssClass="Normal" TextMode="MultiLine"
                            Height="56px">select * from table_name</asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td align="center">
                        <asp:Label ID="lblSchemaError" runat="server" CssClass="NormalRed" Visible="False">Error</asp:Label>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr id="_trSqlStep2" runat="server" visible="false" align="center">
        <td colspan="2">
            <dnn:label id="lblAssignFields" runat="server" resourcekey="lblAssignFields" text="Map fields to remote data"
                cssclass="SubHead" /><br />
                
            <asp:DropDownList ID="_ddlSqlMappingSchema" runat="server" CssClass="Normal" Width="150" />&nbsp;
            <asp:LinkButton ID="_lnkSqlLoadSchema" runat="server" CssClass="Normal" resourcekey="_lnkLoadSchema" />&nbsp;&nbsp;&nbsp;
            <asp:TextBox ID="_txbSqlMappingSchema" runat="server" CssClass="Normal" Width="150" />&nbsp;
            <asp:LinkButton ID="_lnkSqlSaveSchema" runat="server" CssClass="Normal" resourcekey="_lnkSaveSchema" />
            <br />
            
            <table id="_tblBasicUserData" runat="server">
                <tr>
                    <td>
                        UserName
                    </td>
                    <td>
                        <asp:DropDownList ID="_ddlMapUserName" runat="server" CssClass="Normal" Width="150" />
                        <asp:Label ID="_lblReq1" runat="server" CssClass="Normal" Text="*" ForeColor="Red" />
                    </td>
                    <td rowspan="4">
                        <asp:DataList runat="server" ID="_dlMapProperties" CssClass="Normal" DataKeyField="PropertyName">
                            <ItemTemplate>
                                <tr>
                                    <td align="left">
                                        <%# DataBinder.Eval(Container.DataItem, "PropertyName")%>
                                    </td>
                                    <td align="left">
                                        <asp:DropDownList ID="_ddlMapField" runat="server" CssClass="Normal" Width="150" />
                                        <asp:Label ID="lblReq" runat="server" Visible="false" Text="*" ForeColor="Red" />
                                    </td>
                                </tr>
                            </ItemTemplate>
                        </asp:DataList>
                    </td>
                </tr>
                <tr>
                    <td>
                        Email
                    </td>
                    <td>
                        <asp:DropDownList ID="_ddlMapEmail" runat="server" CssClass="Normal" Width="150" />
                        <asp:Label ID="_lblReq2" runat="server" CssClass="Normal" Text="*" ForeColor="Red" />
                    </td>
                </tr>
                <tr>
                    <td>
                        DisplayName
                    </td>
                    <td>
                        <asp:DropDownList ID="_ddlMapDisplayName" runat="server" CssClass="Normal" Width="150" />
                        <asp:Label ID="_lblReq3" runat="server" CssClass="Normal" Text="*" ForeColor="Red" />
                    </td>
                </tr>
                <tr>
                    <td valign="top">
                        Password
                    </td>
                    <td valign="top">
                        <asp:DropDownList ID="_ddlMapPassword" runat="server" CssClass="Normal" Width="150" />
                        <asp:Label ID="_lblReqPass" runat="server" CssClass="Normal" Text="*" ForeColor="Red" />
                    </td>
                </tr>
            </table>
            <asp:CustomValidator ID="_valMappingFields" resourcekey="_valMappingFields.ErrorMessage" runat="server" Display="Dynamic" 
                CssClass="Normal" />
        </td>
    </tr>
    <tr id="_trSqlStep3" runat="server" visible="false">
        <td colspan="2">
        
            <table width="100%" border="0">
                <tr>
                    <td class="SubHead" colspan="2">
                        <dnn:label id="SQLAdditionalSettings" runat="server" resourcekey="lblSQLAdditionalSettings"
                            text="Additional Settings">
                        </dnn:label>
                    </td>
                </tr>
                <tr>
                    <td class="SubHead" align="left">
                        <dnn:label id="lblShortPassSufix" runat="server" resourcekey="lblShortPassSufix"
                            text="Short password suffix" cssclass="SubHead">
                        </dnn:label>
                    </td>
                    <td align="left">
                        <asp:TextBox ID="tbPassSuffix" runat="server" MaxLength="10"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td class="SubHead" align="left">
                        <dnn:label id="SQLNotifications" runat="server" resourcekey="lblSQLNotifications"
                            text="Notifications">
                        </dnn:label>
                    </td>
                    <td align="left">
                        <asp:CheckBox ID="cbSendNotif" runat="server" resourcekey="cbSendNotification.Text"
                            CssClass="NormalTextBox" Text="Send notification to users"></asp:CheckBox>
                    </td>
                </tr>
                <tr>
                    <td class="SubHead" align="left">
                        <dnn:label runat="server" id="SQLGeneratePassword" resourcekey="lblSQLGeneratePassword"
                            text="Generate passwords">
                        </dnn:label>
                    </td>
                    <td align="left">
                        <asp:CheckBox ID="cbRandomPassword" runat="server" resourcekey="cbRandomPassword.Text"
                            CssClass="NormalTextBox" Text="Random Password"></asp:CheckBox>
                    </td>
                </tr>
                <tr>
                    <td class="SubHead" align="left">
                        <dnn:label id="SQLAdditionalRoles" runat="server" resourcekey="lblSQLAdditionalRoles"
                            text="Add to role(s)">
                        </dnn:label>
                    </td>
                    <td class="NormalTextBox" align="left">
                        <asp:CheckBoxList ID="cblAdditionalRoles" runat="server" AutoPostBack="false" CssClass="NormalTextBox"
                            Width="209px">
                        </asp:CheckBoxList>
                    </td>
                </tr>
                <tr>
                    <td class="SubHead" align="left">
                        <dnn:label id="lblAuthorizedOnOff" runat="server" resourcekey="lblAuthorizedOnOff">
                        </dnn:label>
                    </td>
                    <td class="NormalTextBox" align="left">
                        <asp:CheckBox ID="cbAuthorizedOnOff" runat="server" resourcekey="cbAuthorizedOnOff.Text"
                            CssClass="NormalTextBox" Checked="True"></asp:CheckBox>
                    </td>
                </tr>
                <tr>
                    <td class="SubHead" align="left">
                        <dnn:label id="lblDuplicates" runat="server" resourcekey="lblDuplicates">
                        </dnn:label>
                    </td>
                    <td class="NormalTextBox" align="left">
                        &nbsp;
                        <table border="0" >
                            <tr>
                                <td class="NormalTextBox" align="left" colspan="2">
                                    <asp:RadioButton ID="rbDoNotImport" runat="server" resourcekey="rbDoNotImport" GroupName="GROUP_DUPLICATES"
                                        Width="141px" Checked="True" /><br />
                                    <asp:RadioButton ID="rbEksportToFile" runat="server" resourcekey="rbEksportToFile"
                                        GroupName="GROUP_DUPLICATES" /><br />
                                    <asp:RadioButton ID="rbImportWithSuffix" runat="server" resourcekey="rbImportWithSuffix"
                                        GroupName="GROUP_DUPLICATES" />
                                        
                                </td>
                            </tr>
                            <tr>
                                <td class="NormalTextBox" align="left" >
                                    <dnn:label id="lblSuffix" runat="server" resourcekey="lblSuffix">
                                    </dnn:label>
                                </td>
                                <td class="NormalTextBox" align="left" >
                                    <asp:TextBox ID="txtSuffix" runat="server" Width="95px"></asp:TextBox>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
            <asp:Label ID="lblImportError" runat="server" CssClass="NormalRed" Visible="False">Error</asp:Label>
        </td>
    </tr>
    <tr id="_trSqlStep4" runat="server" visible="false">
        <td colspan="2" align="center">
            <br /><br />
            <asp:LinkButton ID="_lnkSqlImport" resourcekey="_lnkSqlImport" runat="server" Text="Importuj" CssClass="CommandButton" /><br /><br />
            
            <!-- SCHEDULER IMPORT -->
            <dnn:SectionHead ID="_dshSchedulerImport" runat="server" CssClass="Head" ResourceKey="_dshSchedulerImport"
                Section="_tblSchedulerImport" IsExpanded="false" />
            <table id="_tblSchedulerImport" runat="server">
                <tr>
                    <td class="SubHead" valign="baseline" align="center">
                        <dnn:label id="lblScheduleImportSettings" runat="server" text="Import Scheduler settings"
                            resourcekey="lblScheduleImportSettings">
                        </dnn:label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <table height="0" cellspacing="0" cellpadding="2" border="0">
                            <asp:Panel ID="_pnlSchedulerMappImportFields" runat="server" Visible="false">
                            <tr>
                                <td class="SubHead">
                                    <dnn:label id="lblSchedulerCustomImportTemplate" runat="server" suffix=":" controlname="" />
                                </td>
                                <td valign="top">
                                    <asp:DropDownList ID="_ddlSchedulerMappingTemplate" runat="server" CssClass="NormalTextBox" AutoPostBack="true" 
                                        DataTextField="Text" DataValueField="Value" Width="200" />
                                    <asp:CustomValidator ID="_valSchedulerMappingTemplate" runat="server" ErrorMessage="*" CssClass="Normal" Display="Dynamic" />
                                </td>
                            </tr>
                            </asp:Panel>
                            <tr>
                                <td colspan="2">
                                    <asedit:aseditor id="ctlASEdit" runat="server" AllowDisable="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="SubHead">
                                    <dnn:label id="lblImportEmail" runat="server" text="E-mail:" controlname="ddlAttachToEventI" />
                                </td>
                                <td>
                                    <asp:TextBox ID="_txtImportEmail" runat="server" CssClass="NormaltextBox" Width="350px" MaxLength="255" />
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td valign="baseline" align="center" colspan="4">
                        <dnn:label id="lblAddImportToScheduleError" runat="server" text="Error" resourcekey="lblAddImportToScheduleError"
                            cssclass="SubHead" visible="False" forecolor="Red">
                        </dnn:label><asp:LinkButton ID="_cmdAddImportToSchedule" runat="server" CssClass="CommandButton"
                            resourcekey="cmdAddImportToSchedule" CommandName="xls"></asp:LinkButton>
                    </td>
                </tr>
            </table>
                    
            
        </td>
    </tr>
    <tr id="_trSqlNav" runat="server">
        <td align="left">
            <asp:ImageButton ID="_imbSqlPrev" ImageUrl="~/DesktopModules/DNNMasters.UMS/Images/Previous-icon.png" runat="server" Visible="false" />
        </td>
        <td align="right">
            <asp:ImageButton ID="_imbSqlNext" ImageUrl="~/DesktopModules/DNNMasters.UMS/Images/Next-icon.png" runat="server" />
        </td>
    </tr>
</table>


</contenttemplate>
  <triggers>
    <asp:AsyncPostBackTrigger ControlID="ManageTemplates1" />
    <asp:AsyncPostBackTrigger ControlID="rbDatabase" EventName="CheckedChanged" />
    <asp:AsyncPostBackTrigger ControlID="rbLDAP" EventName="CheckedChanged" />
    <asp:AsyncPostBackTrigger ControlID="_cmdAddImportToSchedule" EventName="Click" />
    <asp:AsyncPostBackTrigger ControlID="_imbSqlPrev" EventName="Click" />
    <asp:AsyncPostBackTrigger ControlID="_imbSqlNext" EventName="Click" />
    <asp:AsyncPostBackTrigger ControlID="_lnkSqlSaveSchema" EventName="Click" />
    <asp:AsyncPostBackTrigger ControlID="_lnkSqlLoadSchema" EventName="Click" />
  </triggers>
</asp:UpdatePanel>
<asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1" >
    <ProgressTemplate>
        <div align="center">
            <asp:Image ID="imgLoader" ImageUrl="~/DesktopModules/DNNMasters.UMS/images/ajax-loader.gif" runat="server" ImageAlign="Middle" />
        </div>
    </ProgressTemplate>
</asp:UpdateProgress>