<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="UMS_AuditSettings.ascx.cs"
    Inherits="DNNMasters.UMS.UI.UserControls.UMS_AuditSettings" %>
<%@ Register TagPrefix="dnnweb" Assembly="DotNetNuke.Web" Namespace="DotNetNuke.Web.UI.WebControls" %>
            
<script type="text/javascript">
    jQuery(function ($) {
        $('#tabs-opt').dnnTabs();

        var setupModule = function () {
            $('#panels-demo').dnnPanels();
            $('#panels-demo .dnnFormExpandContent a').dnnExpandAll({
                targetArea: '#panels-demo'
            });
        };
        setupModule();
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(function () {
            // note that this will fire when _any_ UpdatePanel is triggered,
            // which may or may not cause an issue
            setupModule();
        });
    });
</script>


<script type="text/javascript">
    jQuery(function ($) {
        var setupModule = function () {
            $('#panels-settings').dnnPanels();
            $('#panels-settings .dnnFormExpandContent a').dnnExpandAll({
                targetArea: '#panels-settings'
            });
        };
        setupModule();
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(function () {
            // note that this will fire when _any_ UpdatePanel is triggered,
            // which may or may not cause an issue
            setupModule();
        });
    });
</script>

<table style="margin-top: 25px;margin-bottom: 25px;">
    <tr>
        <td style="width: 279px" class="Normal">
            <dnn:label id="lblEnableAudit" resource="lblEnableAudit" controlname=""
                suffix=":" runat="server">
            </dnn:label>
        </td>
        <td>
            <asp:Button ID="_cmdEnableAudit" runat="server" CssClass="NormalTextBox"
                Text="Button" />
        </td>
    </tr>
</table>

<asp:Panel ID="_pnlFormAudit" runat="server">

<div class="dnnForm" id="panels-settings">
    <div class="dnnFormExpandContent">
        <a href="">Expand All</a></div>
    <h2 id="DatabaseSettings" class="dnnFormSectionHead">
        <a href="#">Users Audit Settings</a></h2>
    <fieldset class="dnnClear">
        <div class="dnnFormMessage dnnFormInfo">
            <asp:Label id="lblUsersAuditSettinesInfo" runat="server" resourcekey="lblUsersAuditSettinesInfo" />
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ID="lblUsersPortal"  />
            <asp:DropDownList ID="_ddlUsersPortal" runat="server" AutoPostBack="true"></asp:DropDownList>
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ID="lblEnableFirstName" />
            <asp:CheckBox ID="_chkEnableFirstName" runat="server" />
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ID="lblEnableLastName" />
            <asp:CheckBox ID="_chkEnableLastName" runat="server" />
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ID="lblEnableDisplayName" />
            <asp:CheckBox ID="_chkEnableDisplayName" runat="server" />
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ID="lblEnableEmail" />
            <asp:CheckBox ID="_chkEnableEmail" runat="server" />
        </div>
        <asp:LinkButton ID="_lnkUpdateUsersAuditSettings" runat="server" CssClass="dnnPrimaryAction" Text="Save" />
    </fieldset>
    <h2 id="FilesSettings" class="dnnFormSectionHead">
        <a href="#">Profile Audit Settings</a></h2>
    <fieldset class="dnnClear">
        <div class="dnnFormMessage dnnFormInfo">
            <asp:Label id="lblProfileAuditSettingsInfo" runat="server" resourcekey="lblProfileAuditSettingsInfo" />
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ID="lblProfilePortal"  />
            <asp:DropDownList ID="_ddlProfilePortal" runat="server" AutoPostBack="true"></asp:DropDownList>
        </div>
        <div class="dnnFormItem">
            <asp:CheckBoxList ID="_chkProfile" runat="server" TextAlign="Right" RepeatLayout="Table" RepeatColumns="3" >
        </asp:CheckBoxList>
        </div>
        <asp:LinkButton ID="_lnkProfileUsersAuditSettings" runat="server" CssClass="dnnPrimaryAction" Text="Save" />
        
    </fieldset>
    <h2 id="GlobalSettings" class="dnnFormSectionHead">
        <a href="#">Role Audit Settings</a></h2>
    <fieldset class="dnnClear">
        <div class="dnnFormItem">
            <dnn:Label runat="server" ID="lblRolesPortal"  />
            <asp:DropDownList ID="_ddlRolesPortal" runat="server" AutoPostBack="true"></asp:DropDownList>
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ID="lblEnableAddUserRole" />
            <asp:CheckBox ID="_chkEnableAddUserRole" runat="server" />
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ID="lblEnableDeleteUserRole" />
            <asp:CheckBox ID="_chkEnableDeleteUserRole" runat="server" />
        </div>
        <asp:LinkButton ID="_lnkRoleAuditSettingsUpdate" runat="server" CssClass="dnnPrimaryAction" Text="Save" />
    </fieldset>
</div>
</asp:Panel>

<div class="dnnForm">
<fieldset class="dnnClear">
        
        <div class="dnnFormItem">
            <dnn:Label runat="server" ID="lblAuditPortal"  />
            <asp:DropDownList ID="_ddlAuditPortal" runat="server" AutoPostBack="true"></asp:DropDownList>
        </div>
</fieldset>
</div>
<div class="dnnForm" id="tabs-opt">
    <ul class="dnnAdminTabNav">
        <li><a href="#UserAudit">Users Audit</a></li>
        <li><a href="#ProfileAudit">Profile Audit</a></li>
        <li><a href="#RoleAudit">Role Audit</a></li>
    </ul>
    <div id="UserAudit" class="dnnClear">
    
        <dnnweb:dnngrid ID="dgUsers" runat="server" AutoGenerateColumns="false" AllowPaging="True" AllowCustomPaging="true"
            PageSize="25" ShowHeader="true" AllowFilteringByColumn="true" AllowSorting="True">
            <pagerstyle mode="NextPrevAndNumeric"></pagerstyle>
            <mastertableview  DataKeyNames="AuditUserId">
				<Columns>
                    <dnnweb:DnnGridBoundColumn HeaderText="Username" DataField="Username" />
                    <dnnweb:DnnGridBoundColumn DataField="FieldName"  HeaderText="FieldName"/>
					<dnnweb:DnnGridBoundColumn HeaderText="FieldValueOld" DataField="FieldValueOld"  />
					<dnnweb:DnnGridBoundColumn HeaderText="FieldValueNew" DataField="FieldValueNew" />
					<dnnweb:DnnGridBoundColumn HeaderText="LastModifiedByUsername" DataField="LastModifiedByUsername" />
					<dnnweb:DnnGridBoundColumn HeaderText="LastModifiedOnDate" DataField="LastModifiedOnDate" />						        
                    
				</Columns>
				<NoRecordsTemplate>
					<asp:Label ID="lblNoRecords" runat="server" resourcekey="NoUsers" />
				</NoRecordsTemplate>
			</mastertableview>
        </dnnweb:dnngrid>
    </div>
    <div id="ProfileAudit" class="dnnClear">
        <dnnweb:dnngrid ID="dgProfiles" runat="server" AutoGenerateColumns="false" AllowPaging="True" AllowCustomPaging="true"
            PageSize="25" ShowHeader="true" AllowFilteringByColumn="true" AllowSorting="True">
            <pagerstyle mode="NextPrevAndNumeric"></pagerstyle>
            <headerstyle CssClass="dnnGridHeader" verticalalign="Top" /> 
            <mastertableview>
				    <Columns>
                        <dnnweb:DnnGridBoundColumn HeaderText="Username" DataField="Username" />
                        <dnnweb:DnnGridBoundColumn HeaderText="PropertyName" DataField="PropertyName"  />
					    <dnnweb:DnnGridBoundColumn HeaderText="PropertyValueOld" DataField="PropertyValueOld"  />
					    <dnnweb:DnnGridBoundColumn HeaderText="PropertyValueNew" DataField="PropertyValueNew" />
					    <dnnweb:DnnGridBoundColumn HeaderText="LastModifiedByUsername" DataField="LastModifiedByUsername" />
					    <dnnweb:DnnGridBoundColumn HeaderText="LastModifiedOnDate" DataField="LastModifiedOnDate" />						        
				    </Columns>
				    <NoRecordsTemplate>
					    <asp:Label ID="Label1" runat="server" resourcekey="NoProfiles" />
				    </NoRecordsTemplate>
			    </mastertableview>
        </dnnweb:dnngrid>
    </div>
    <div id="RoleAudit" class="dnnClear">
        <dnnweb:dnngrid ID="dgRoles" runat="server" AutoGenerateColumns="false" AllowPaging="True" AllowCustomPaging="true"
            PageSize="25" ShowHeader="true" AllowFilteringByColumn="true" AllowSorting="True">
            <pagerstyle mode="NextPrevAndNumeric"></pagerstyle>
            <headerstyle CssClass="dnnGridHeader" verticalalign="Top" /> 
            <mastertableview>
				    <Columns>
                        <dnnweb:DnnGridBoundColumn HeaderText="Username" DataField="Username" />
    				    <dnnweb:DnnGridBoundColumn HeaderText="roleName" DataField="roleName" />
                        <dnnweb:DnnGridBoundColumn HeaderText="IsRoleAdded" DataField="IsRoleAdded"  />
					    <dnnweb:DnnGridBoundColumn HeaderText="LastModifiedOnDate" DataField="LastModifiedOnDate" />						        
					    <dnnweb:DnnGridBoundColumn HeaderText="LastModifiedByUsername" DataField="LastModifiedByUsername" />
					    
    			    </Columns>
				    <NoRecordsTemplate>
					    <asp:Label ID="Label2" runat="server" resourcekey="NoRoles" />
				    </NoRecordsTemplate>
			    </mastertableview>
        </dnnweb:dnngrid>
        
    </div>
</div>
