<%@ Control Language="c#" AutoEventWireup="false" Codebehind="UMS_ImportAudit.ascx.cs" Inherits="DNNMasters.UMS.UI.UserControls.UMS_ImportAudit" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register Src="PagingControl.ascx" TagName="PagingControl" TagPrefix="uc1" %>

<script language="JavaScript" type="text/javascript">
<!--

function flipFlop(eTarget) {
    if (document.getElementById(eTarget).style.display=='')
    {
    	document.getElementById(eTarget).style.display='none';
    }
    else
    {
    	document.getElementById(eTarget).style.display='';
    }
}
  
//-->
</script>

<asp:UpdatePanel ID="upImportAudit" runat="server" ChildrenAsTriggers="False" UpdateMode="Conditional">
  <contenttemplate>

<asp:Panel ID="_pnlOptions" runat="server">
        <div class="dnnFormMessage dnnFormInfo">
            <asp:Label id="lblAuditInfo" runat="server" resourcekey="lblAuditInfo" />
        </div>
        <div class="dnnFormItem">
            <dnn:Label ID="lblTasks" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
            <asp:DropDownList ID="_ddlTasks" runat="server">
            </asp:DropDownList>
        </div>
        
        <div class="dnnFormItem">
            <dnn:Label ID="lblPortals" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
            <asp:DropDownList ID="_ddlPortals" runat="server" />
        </div>
        <div class="dnnFormItem">
            <dnn:Label ID="lblUsersFilter" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
            <asp:DropDownList ID="_ddlUsersFilter" runat="server" />
        </div>
        
        <asp:LinkButton ID="_lnkSearch" runat="server" CssClass="dnnPrimaryAction" Text="Search"   ValidationGroup="vgIASearch" CausesValidation="False"/>
</asp:Panel>
<br />
<uc1:PagingControl ID="_ctlPaging" OnPaging_Click="Paging_Click" FirstString="<< First" LastString=" Last >>" NextString="Next >" PrevString="< Prev" TotalNumberPaging="5"  runat="server"/>

<asp:GridView ID="_gdvItems" runat="server" AllowPaging="false" AutoGenerateColumns="false"
             PageSize="25" DataKeyNames="ImportUserId"
            Width="100%" AlternatingRowStyle-CssClass="LightBGColor"
            PagerSettings-Position="TopAndBottom" GridLines="Both" AllowSorting="True">
            <Columns>
                
                <asp:TemplateField HeaderText="UserName" SortExpression="UserName">
                    <ItemTemplate>
                         <asp:Label ID="Label1" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "UserName").ToString()%>'></asp:Label>
                        
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Message" SortExpression="Message">
                    <ItemStyle HorizontalAlign="Center"></ItemStyle>
                    <ItemTemplate>
                        <asp:Label ID="Label2" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "UserImportInfo").ToString()%>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Data" SortExpression="Data">
                    <ItemStyle HorizontalAlign="Center"></ItemStyle>
                    <ItemTemplate>
                        <asp:Label ID="Label3" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "UserData").ToString()%>'></asp:Label>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>


  </contenttemplate>
  <triggers>
    <asp:AsyncPostBackTrigger ControlID="_ctlPaging" />
    <asp:AsyncPostBackTrigger ControlID="_lnkSearch" EventName="Click" />
  </triggers>
</asp:UpdatePanel>
<asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="upImportAudit" >
    <ProgressTemplate>
        <div align="center">
            <asp:Image ID="imgLoader" ImageUrl="~/DesktopModules/DNNMasters.UMS/images/ajax-loader.gif" runat="server" ImageAlign="Middle" />
        </div>
    </ProgressTemplate>
</asp:UpdateProgress>

